# E-mail

Important for registering with services, receiving notifications, and as a server for [Delta.Chat](messenger.md). Tutanota and Protonmail do not support third-party email clients and Delta.Chat (no IMAP).

## Typical data leaks when using third-party servers
1. IP once per minute. Helps determine your location: at home, away from home, at work.
1. Contents of your messages: what services you are registered on, bank and medical statements and more.
1. Meta-information: with whom and when you communicate, even if you use encryption.

## Alias to addresses.
Messages for `user+alias@domain.com` will come to `user@domain.com`.

## Filter directories
The message for `user-dir@domain.com` will create a `dir` directory in the `user@domain.com` mailbox. All mail for `user-dir@domain.com` will arrive in the `dir` directory.

## Web interface

It may seem undeveloped or outdated to some. But it has the advantage of simplicity and small amount of code and bugs, which increases [security.md] and [privacy.md]. But it is better to use email clients and disable the web interface in SelfPrivacy App. This will reduce the attack surface and the risks of hacking.

## Recommended email clients

- Mozilla Thunderbird
- FairEmail (Android)
- ? (iOS)
- ? (PinePhone)

# Tips
- Email [over 50 years old](https://habr.com/ru/company/timeweb/blog/580830/). In IT, it's a sign of technology maturity and reliability.
- Email, the most popular way to get infected with viruses, after installing them yourself with unlicensed software and cracks.
- Beware of phishing, it can rob you of your savings and control over your digital life.
- Create filter directories for different purposes. This will help protect [against phishing](https://cisomag.eccouncil.org/last-11-email-accounts/) and cluttering your inbox. Examples:
    - `user-w@domain.com` - for registering with web services
    - User-shops` - for web-stores
    - `user-pay` - payment systems
    - User-forum` - forum notifications
- Use aliases for questionable services or one-time needs, such as `user+tmp@domain.com`. By aliases convenient to filter and mass delete mails. It is also convenient to find out exactly where your mail was leaked from.
