# Messenger

Messengers like Telegram, Signal, Whatsapp can't be private due to the peculiarities of architecture - centralization. And peer-to-peer (p2p) services like tox consume too many resources and are inconvenient to use on a mobile device. The best solution is to use **our own** server.
- **Delta.Chat** - uses your personal email server
- Matrix - promising development, will be added to SelfPrivacy after stabilization.
- XMPP/IRC - great candidates, will probably be added to SelfPrivacy later.
- Rocket.Chat, Zulip, Mattermosht - no convenient way to communicate between servers.

## Typical data leaks when using alien servers
1. IP once per minute. Helps determine your location: at home, away from home, at work.
1. The content of your messages.
1. Meta-information: with whom and when you communicated, even if you use encryption.

## Features of Delta.Chat

- Regular email client with all the features of IM.
- Reliable end-to-end encryption (e2e), provided a personal [email server](email.md) is used by both interlocutors or a personal key exchange, such as via QR code.
- Can use any email server, but then you lose control over the meta-information and [risk](https://s.zholnay.name/@kirill/106351532683026396) key-swapping [man-in-the-middle attack](https://en.wikipedia.org/wiki/Man-in-the-middle_attack).
- Slightly slower than usual messengers
- First message is not encrypted because public encryption keys are sent with it.
- There are problems with sending files > 5-7MB.
- There are no convenient channels. We recommend using [decentralized social network](social.md)
