# Электронная почта

Важна для регистрации в сервисах, получения уведомлений, и как сервер для [Delta.Chat](messenger.md). Tutanota и Protonmail не поддерживают сторонние email-клиенты и Delta.Chat (нет IMAP).

## Типичные утечки данных при использовании чужих серверов
1. IP раз в минуту. Поможет определить ваше расположение: дома, не дома, на работе.
1. Содержимое ваших сообщений: на каких сервисах зарегистрированы, банковские и медицинские выписки и многое другое.
1. Метаинформация: с кем и когда общались, даже если используете шифрование.

## Псевдонимы к адресам
Сообщения для `user+alias@domain.com` придут `user@domain.com`.

## Каталоги фильтрации
Cообщение для `user-dir@domain.com` создаст каталог `dir` в почтовом в ящике `user@domain.com`. Все письма для `user-dir@domain.com` придут в каталог `dir`.

## Веб-интерфейс

Кому-то покажется неразвитым или несовременным. Но преимущество в простоте и малом количестве кода и ошибок, что повышает [безопасность](security.md) и [приватность](privacy.md). Но лучше пользоваться email-клиентами, а web-интерфейс отключить в SelfPrivacy App. Это уменьшит площадь атаки и риски взлома.

## Рекомендуемые email-клиенты

- Mozilla Thunderbird
- FairEmail (Android)
- ? (iOS)
- ? (PinePhone)

# Советы
- Электронной почте [больше 50 лет](https://habr.com/ru/company/timeweb/blog/580830/). В IT — это признак зрелости и надежности технологии.
- Почта, самый популярный способ заражения вирусами, после самостоятельной их установки с нелицензионным ПО и кряками.
- Остерегайтесь фишинга, это может лишить Вас сбережений и контроля над своей цифровой жизнью.
- Для разных целей создавайте каталоги фильтрации. Это поможет защититься [от фишинга](https://cisomag.eccouncil.org/last-11-email-accounts/) и захламления ящика. Примеры:
    - `user-w@domain.com` — для регистрации в web-сервисах
    - `user-shops` — для интернет магазинов
    - `user-pay` — платежные системы
    - `user-forum` — уведомления от форумов
- Используйте алиасы для сомнительных сервисов или одноразовых нужд, вроде `user+tmp@domain.com`. По алиасу удобно фильтровать и массово удалять письма. Так же удобно выяснить откуда именно произошла утечка вашей почты.
