# Мессенджер

Такие мессенджеры как Telegram, Signal, Whatsapp не могут быть приватными из-за особенностей архитектуры — централизации. А одноранговые (p2p) сервисы такие как tox потребляют слишком много ресурсов и неудобны в использовании на мобильном устройстве. Лучший выход — использовать **свой** сервер.
- **Delta.Chat** — использует Ваш личный email-сервер для связи
- Matrix — перспективная разработка, будет добавлена в SelfPrivacy после стабилизации.
- XMPP/IRC — отличные кандидаты, вероятно, будут добавлены в SelfPrivacy позже.
- Rocket.Chat, Zulip, Mattermosht — не имеют удобного способа коммуникации между серверами.

## Типичные утечки данных при использовании чужих серверов
1. IP раз в минуту. Поможет определить ваше расположение: дома, не дома, на работе.
1. Содержимое ваших сообщений.
1. Метаинформация: с кем и когда общались, даже если используете шифрование.

## Особенности Delta.Chat

- Обычный email-клиент со всеми функциями IM.
- Надежное оконечное шифрование (e2e) при условии использования личного [email-сервера](email.md) обоими собеседниками или личном обмене ключами, например через QR-код.
- Может использовать любой email-сервер, но тогда Вы теряете контроль над метаинформацией и [рискуете](https://s.zholnay.name/@kirill/106351532683026396) подменой ключей [Man-in-the-middle attack](https://en.wikipedia.org/wiki/Man-in-the-middle_attack).
- Немного медленнее привычных мессенджеров
- Первое сообщение не шифруется, т.к. вместе с ним передаются публичные ключи шифрования
- Есть проблемы с пересылкой файлов > 5-7МБ.
- Нет удобных каналов. Для этого рекомендуем использовать [децентрализованную социальную сеть](social.md)
