# Предустановка

Для использования SelfPrivacy необходимы учетные записи сервис-провайдеров.

## Установка и настройка

SelfPrivacy сервер создается поэтапно в течение часа. Звучит страшно, но уверяю, учёная степень не понадобится. Процесс не сложнее покупки в интернет-магазине.

1. Поиск паспорта и карты с балансом $10-15 и $5 в месяц
2. Регистрация учётных записей
3. Защита учётных записей
4. Покупка домена
5. Подключение домена к DNS серверу
6. 🔑 Создание ключей
7. Установка
8. Подключение к сервисам 🎉

Если кому-нибудь поручите эту задачу — лишитесь приватности. Для 100% независимости и контроля необходимо всё делать самостоятельно.

## Регистрация учётных записей
Для устойчивости и приватности SelfPrivacy требует много учётных записей. Если всё держать в одном месте, получаем то, от чего бежали — все данные у одной компании. 🤦‍♀️

Поэтому разные части системы будут в разных местах. Регистрируемся:

1. [Hetzner](https://accounts.hetzner.com/login) — хостинг виртуального сервера. Здесь будут жить наши данные и сервисы SelfPrivacy.
2. [NameCheap](https://www.namecheap.com/myaccount/login/) или любой другой регистратор, для покупки личного адреса в интернете — домена, который будет указывать на сервер.
3. [CloudFlare](https://dash.cloudflare.com/login) — DNS сервер, где работает Ваш домен.
4. [Backblaze](https://secure.backblaze.com/user_signin.htm) — IaaS провайдер, для бесплатного хранения резервных копий Ваших данных в зашифрованном виде.

Регистрация заурядна, но иногда проверка учётной записи длится несколько дней или требует дополнительных документов. Поэтому используйте настоящие документы и заполняйте всё аккуратно. Провайдеры так защищаются от спамеров, ничего личного.

## Защита учётных записей
Чаще всего системы взламывают через самое слабое звено. Чтобы учётные записи не были таким звеном, пароли должны быть разными и сложными.
`MamaMilaRamu`, как ни странно, плохой пароль, а отличные 🌈 — это парольная фраза:

```
expert repose postwar anytime glimpse freestyle liability effects
```

или

```
}Rj;EtG:,M!bc4/|
```

Как такой пароль запомнить? Никак! Пароли не нужно запоминать, их надо создавать и хранить в [менеджере паролей](https://keepassxc.org/download/). Хотя один помнить придётся — пароль от менеджера паролей.

Обязательно включите дополнительную защиту учётных записей — второй фактор (MFA, 2FA). Без этого простого шага Ваши данные не будут в безопасности.

Я знаю, было сложно, но теперь Ваши данные защищены лучше, чем у 95% пользователей. Можете собой гордится! Я вот Вами горжусь 🤗

# Покупка домена

> Включили второй фактор? Я серьёзно! Тогда переходим к интересному!

![NameCheap](https://selfprivacy.org/img/screencasts/nc-buy-domain.gif)

Домен — это кусочек интернета, которому Вы даёте имя. Простор для творчества огромен, у Вас есть 63 символа + .com .org .icu и еще несколько сотен доменов после точки. Можно просто по фамилии выбрать, например ivanov.live или ivanov.health, а можно что-то творческое — shit-happens.shop

## Рекомендации
1. Обязательно смотреть на цену ежегодного продления, она может в разы превышать стоимость покупки.
2. Нормальная цена домена $8-10 в год. Самые дешёвые — китайские .icu и .cyou — $4-6.
3. Хорошее имя удобно и по телефону диктовать, и на деловой визитке указать.
4. Фамилия в домене хороша тем, что можно раздать почту всем однофамильцам, например: name.secondname@surname.com, ns@surname.com или name@surname.com
5. При регистрации домена обязательно указывать реальные почту и телефон, иначе регистрацию могут аннулировать. И если Вы не сможете продлить домен, система не будет работать так, как задумано.
6. Я уже говорил про второй фактор?

## Подключение домена к DNS серверу
После покупки, домен добавляем в CloudFlare:

![Adding domain to Cloudflare](https://selfprivacy.org/img/screencasts/add-domain-to-cf.gif)

На примере домена ruleit.stream мы выбрали бесплатный тариф и получили имена серверов: gail.ns.cloudflare.com и mattns.cloudflare.com, которые надо прописать у своего регистратора. В нашем случае NameCheap:

![Namecheap to Cloudflare](https://selfprivacy.org/img/screencasts/nc-to-cf.gif)

Заодно проверяем, что у нас включено автоматическое продление и защита персональных данных — WhoisGuard. Через несколько минут или, в худшем случае, до двух суток настройки применятся.

# 🔑 Создание ключей
API ключи — это почти то же самое, что и логин с паролем, только для программы, а не человека. Мобильное приложение SelfPrivacy с их помощью управляет сервисами во всех учётных записях вместо Вас. Удобно!

Ключи хранить в [менеджере паролей](https://keepassxc.org/download/).

Для NameCheap нам ключ не нужен, мы уже всё сделали. А управление доменом будет в CloudFlare.

## CloudFlare

1. Переходим по [ссылке](https://dash.cloudflare.com/) и авторизуемся в ранее созданном аккаунте.
2. В правом углу кликаем на иконку профиля (человечек в кружочке). Для мобильной версии сайта, в верхнем левом углу, нажимаем кнопку **Меню** (три горизонтальных полоски), в выпавшем меню, ищем пункт **My Profile**.
3. Нам предлагается на выбор, четыре категории настройки: **Preferences**, **Authentication**, **API Tokens**, **Sessions**. Выбираем **API Tokens**.
4. Самым первым пунктом видим кнопку **Create Token**. С полной уверенностью в себе и желанием обрести приватность, нажимаем на неё.
5. Спускаемся в самый низ и видим поле **Create Custom Token** и кнопку **Get Started** с правой стороны. Нажимаем.
6. В поле **Token Name** даём своему токену имя. Можете покреативить и отнестись к этому как к наименованию домашнего зверька :)
7. Далее, у нас **Permissions**. В первом поле выбираем Zone. Во втором поле, по центру, выбираем **DNS**. В последнем поле выбираем **Edit**.
8. Далее смотрим на **Zone Resources**. Под этой надписью есть строка с двумя полями. В первом должно быть **Include**, а во втором — **Specific Zone**. Как только Вы выберите **Specific Zone**, справа появится ещё одно поле. В нём выбираем наш домен.
9. Листаем в самый низ и нажимаем на синюю кнопку **Continue to Summary**.
10. Проверяем, всё ли мы правильно выбрали. Должна присутствовать подобная строка: ваш.домен — **DNS:Edit, Zone:Read**.
11. Нажимаем **Create Token**.
12. Копируем созданный токен, и сохраняем его в надёжном месте (желательно — в [менеджере паролей](https://keepassxc.org/download/)).

![Cloudflare token setup](https://selfprivacy.org/img/screencasts/CloudFlare.gif)

## Hetzner

1. Переходим по [ссылке](https://accounts.hetzner.com/login) и авторизуемся в ранее созданном аккаунте.
2. Заходим в созданный нами проект. Если такового нет — значит создаём.
3. Наводим мышкой на боковую панель. Она должна раскрыться, показав нам пункты меню. Нас интересует последний — **Security** (с иконкой ключика).
4. Далее, в верхней части интерфейса видим примерно такой список: **SSH KEYS**, **API TOKENS**, **CERTIFICATES**, **MEMBERS**. Нам нужен **API TOKENS**. Переходим по нему.
5. По середине в интерфейсе, нас будет ожидать кнопка GENERATE **API TOKEN**. Нажимаем на эту кнопку.
6. В поле **Description** даём нашему токену название (это может быть любое название, которое Вам нравится, сути оно не меняет).
7. Под полем **Description** видим возможность выбрать разрешения **PERMISSIONS**. Выбираем **Read & Write**.
8. Нажимаем **GENERATE API TOKEN**.
9. После этого, появиться окно с Вашим ключом. Записываем его в надёжном месте, или ещё лучше, сохраняем в [менеджере паролей](https://keepassxc.org/download/).

![Hetzner token setup](https://selfprivacy.org/img/screencasts/Hetzner.gif)

## Backblaze

1. Переходим по [ссылке](https://secure.backblaze.com/user_signin.htm) и авторизуемся в ранее созданном аккаунте.
2. В левой части интерфейса выбираем **App Keys** в подкатегории **"Account"**
3. Нажимаем на синюю кнопку **Generate New Master Application Key**
4. Во всплывающем окне подтверждаем генерацию
5. Сохраняем _keyID_ и _applicationKey_ в надёжном месте. Например - в [менеджере паролей](https://keepassxc.org/download/) :)

![Backblaze token setup](https://selfprivacy.org/img/screencasts/Backblaze.gif)

**🎉 Поздравляю! Теперь Вы готовы использовать приватные сервисы.**